Skip to content

Update from 1-500 binder templates in your Vault.

By changing the document type/subtype/classification, you can move an existing binder template to a different level of the document type hierarchy, effectively reclassifying the template.

See also: Update [Single] Binder Template above.

PUT/api/{version}/objects/binders/templates
NameDescription
Content-Typeapplication/json or text/csv
Acceptapplication/json (default) or application/xml

You can update the following fields on binder templates:

NameDescription
name__vChange the name of existing binder templates.
label__vChange the label of existing binder templates. This is the name users will see among the available binder templates in the UI.
type__vChange the document type to which the templates are associated.
subtype__vChange the document subtype to which the templates are associated. This is only required if associating the templates with document subtypes.
classification__vChange the document classification to which the templates are associated. This is only required if associating the templates with document classifications.
active__vSet to true or false to indicate whether or not the binder templates should be set to active, i.e., available for selection when creating a binder.
Download Input File
name__vlabel__vactive__v
binder_template_2__cSecond Binder Templatetrue
binder_template_3__cBinder Template 3true
binder_template_4__cBinder Template 4false

In this example input, we're updating three existing binder templates in our Vault.

  • On the first template, we're updating both the name__v and label__v values.
  • On the second template, we're updating the name__v value and setting the active__v value to true.
  • On the third template, we're updating the name__v value and setting the active__v value to false.

Including a binder field name in the input but leaving its value blank will clear existing values from the field.

In this example:

  • The input file format is set to CSV.
  • The response format is not set and will default to JSON.
  • The path/name of the CSV input file in our local directory is specified.
curl -X PUT -H "Authorization: {SESSION_ID}" \ -H "Content-Type: text/csv" \ -H "Accept: text/csv" \ --data-binary @"C:\Vault\Templates\update_binder_templates.csv" \ https://myvault.veevavault.com/api/v22.3/objects/binders/templates
responseStatus,name,errors SUCCESS,binder_template_2__c, SUCCESS,binder_template_3__c, SUCCESS,binder_template_4__c,

On SUCCESS, Vault returns the names of the updated binder templates.